openshot::OpenShotVersion Struct Reference

This struct holds version number information. Use the GetVersion() method to access the current version of libopenshot. More...

`#include <Version.h>`

## Public Member Functions

string | ToString ()
| Shared Object Number (incremented when API or ABI changes) More...

## Public Attributes

int | build
| Minor version number. More...
int | major
int | minor
| Major version number. More...
int | so
| Build number. More...

## Detailed Description

This struct holds version number information. Use the GetVersion() method to access the current version of libopenshot.

Definition at line 50 of file Version.h.

## Member Function Documentation

## ToString()

string openshot::OpenShotVersion::ToString | ( |  | ) |

inline

Shared Object Number (incremented when API or ABI changes)

Get a string version of the version (i.e. "Major.Minor.Build")

Definition at line 57 of file Version.h.

## Member Data Documentation

## build

int openshot::OpenShotVersion::build

Minor version number.

Definition at line 53 of file Version.h.

## major

int openshot::OpenShotVersion::major

Definition at line 51 of file Version.h.

## minor

int openshot::OpenShotVersion::minor

Major version number.

Definition at line 52 of file Version.h.

## so

int openshot::OpenShotVersion::so

Build number.

Definition at line 54 of file Version.h.

The documentation for this struct was generated from the following file:

- Version.h